// creator  : weidu.exe (version 23100)
// argument : TRKID01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~TRKID01~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #44425 /* ~My... my mother an' father were killed by wolves, they were.  Now I gotta go to an orphanage, they say.~ */
  IF ~~ THEN REPLY #44426 /* ~Begone, child, I dislike brats and I dislike maudlin brats even more so!~ */ GOTO 1
  IF ~~ THEN REPLY #44427 /* ~That's too bad.  I feel sorry for you.~ */ GOTO 2
  IF ~PartyGoldGT(9)~ THEN REPLY #44428 /* ~That is tragic, child.  Here... take these coins.  Perhaps it will help.~ */ DO ~TakePartyGold(10)~ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #44429 /* ~I... I... I didn't mean to...  (sob!)  oh, never mind, <SIRMAAM>...~ */
  IF ~~ THEN DO ~RunAwayFrom(LastTalkedToBy,100)~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #44430 /* ~I... watched as the wolves, they... they... oh, 'scuse me... (sob!)~ */
  IF ~~ THEN DO ~RunAwayFrom(LastTalkedToBy,50)~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #44431 /* ~Th-thank you, <SIRMAAM>.  B-but... I'm not here to beg.  I'm... I'm just waiting for the priest t' come an' take me to the orphanage.  But... thank you, anyway...~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(4,1)~ THEN BEGIN 4 // from:
  SAY #44432 /* ~The priest will b-be here... soon.  He's going t' take me to the orphanage.  It's... far away, he said.~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(4,2)~ THEN BEGIN 5 // from:
  SAY #44433 /* ~I miss my mother.  Do... do you have a mother, <SIRMAAM>?~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(4,3)~ THEN BEGIN 6 // from:
  SAY #44434 /* ~I wish I could just g-go home.  But... they said it all burnt down when the wolves... attacked.  (sniffle)~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(4,4)~ THEN BEGIN 7 // from:
  SAY #44435 /* ~I wonder what the orphanage will be like... maybe somebody nice will come and take me away.  Maybe.~ */
  IF ~~ THEN EXIT
END
